=== data/icons/CMakeLists.txt ===
install(FILES pnmixer.png DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps")
