=== data/man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pnmixer.1.in
   ${CMAKE_CURRENT_BINARY_DIR}/pnmixer.1)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pnmixer.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
