## pnmixer 0.6.1

=== debian/changelog ===
pnmixer (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #745669)

 -- Arnaud Rébillout <elboulangero@gmail.com>  Sun, 06 Dec 2015 19:18:02 +0700
