## pnmixer 0.7

=== debian/changelog ===
pnmixer (0.7-1) unstable; urgency=medium

  * New upstream release.
    - Remove deprecated gnome-common macros/variables. Closes: #929881.
    - Resize icons in menu. Closes: #816124.
  * Remove manual page (now shipped by upstream).
  * Bump Gtk+ required version to 3.12.
  * Bump Standards-Version to 3.9.8.
  * Build with hardening build flags.
  * Use https in Vcs-* fields.
  * Fix typo in copyright.

 -- Arnaud Rébillout <elboulangero@gmail.com>  Wed, 21 Sep 2016 09:34:35 +0700
