=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Arnaud Rébillout <elboulangero@gmail.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, intltool,
- libasound2-dev, libglib2.0-dev, libgtk-3-dev (>= 3.6), libnotify-dev, libx11-dev
-Standards-Version: 3.9.6
+ libasound2-dev, libglib2.0-dev, libgtk-3-dev (>= 3.12), libnotify-dev, libx11-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/nicklan/pnmixer
-Vcs-Git: git://anonscm.debian.org/collab-maint/pnmixer.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/pnmixer.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pnmixer.git;a=summary
 
 Package: pnmixer
@@ -21,4 +21,4 @@
  .
  PNMixer is designed to work on systems that use ALSA for sound management.
  Any other sound driver like OSS or FFADO, or sound server like PulseAudio
- or Jackd, are currently not supported (patches welcome).
+ or Jack, are currently not supported (patches welcome).
