## pnmixer 0.7.2

=== debian/changelog ===
pnmixer (0.7.2-3) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113416
  * Add myself to Uploaders
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 07:38:00 +0100

pnmixer (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team (unfortunately the repository
    formerly mentioned as Vcs fields seems to be gone)
    Closes: #1093842
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Trim trailing whitespace.
  * Drop dh_make template from watch file

 -- Andreas Tille <tille@debian.org>  Wed, 12 Feb 2025 09:47:01 +0100

pnmixer (0.7.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix wrong install path for man page.

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sat, 03 Jun 2017 17:25:32 +0700

pnmixer (0.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Switch to cmake buildsystem.
    - Use gettext instead of intltool for translation.
    - Build is now reproducible. Closes: #854112.
  * Update watchfile to version 4.
  * Package is now versioned with git and build with gbp. See the control file
    for the url.

 -- Arnaud Rebillout <elboulangero@gmail.com>  Sat, 27 May 2017 13:20:35 +0700
