=== debian/control ===
Source: pnmixer
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Arnaud Rebillout <elboulangero@gmail.com>,
 Andreas Tille <tille@debian.org>,
Section: sound
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 libasound2-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libnotify-dev,
 libx11-dev,
 pkgconf,
Vcs-Browser: https://salsa.debian.org/multimedia-team/pnmixer
Vcs-Git: https://salsa.debian.org/multimedia-team/pnmixer.git
Homepage: https://github.com/nicklan/pnmixer

Package: pnmixer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple mixer application for system tray
 PNMixer is a simple mixer application designed to run in your system tray.
 It integrates nicely into desktop environments that don't have a panel that
 supports applets and therefore can't run a mixer applet. In particular it's
 been used quite a lot with fbpanel and tint2, but should run fine in any
 system tray.
 .
 PNMixer is designed to work on systems that use ALSA for sound management.
 Any other sound driver like OSS or FFADO, or sound server like PulseAudio
 or Jack, are currently not supported (patches welcome).
