=== debian/watch ===
Version: 5

Source: https://github.com/nicklan/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Uversion-Mangle: s/-rc/~rc/
